summaryrefslogtreecommitdiffstats
path: root/ci/bintray.sh
diff options
context:
space:
mode:
authorDuco van Amstel <duco.vanamstel@gmail.com>2019-04-04 21:54:51 +0100
committerWim <wim@42.be>2019-04-04 22:54:51 +0200
commit7f0e4ad4487cf03288af7519434f5d54844f47e1 (patch)
tree3498fb2c1436ee15a3388d1325debe726cd6d7fd /ci/bintray.sh
parent17cc14a9d2351fcd0608c2a81eb32fd9fc3ec987 (diff)
downloadmatterbridge-msglm-7f0e4ad4487cf03288af7519434f5d54844f47e1.tar.gz
matterbridge-msglm-7f0e4ad4487cf03288af7519434f5d54844f47e1.tar.bz2
matterbridge-msglm-7f0e4ad4487cf03288af7519434f5d54844f47e1.zip
Add CI fixes and improvements (#780)
* Update GolangCI-lint and lint config The `algo` parameter for the `unparam` linter has been removed and we should thus no longer specify it. Also, bumping the GolangCI-lint version to the latest available minor release. See: mvdan/unparam@e6a6d1c51b6f03ac1a9d120f1ea07bc3a3f0e0b9 * Fix and improve bintray CI script * Further CI setup improvements * Split-out CI steps into stand-alone scripts
Diffstat (limited to 'ci/bintray.sh')
-rwxr-xr-xci/bintray.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/ci/bintray.sh b/ci/bintray.sh
index b0fb7d6a..c7e8a81e 100755
--- a/ci/bintray.sh
+++ b/ci/bintray.sh
@@ -1,5 +1,8 @@
-#!/bin/bash
-go version | grep go1.11 || exit
+#!/usr/bin/env bash
+set -u -e -x -o pipefail
+
+go version | grep go1.12 || exit
+
VERSION=$(git describe --tags)
mkdir ci/binaries
GOOS=windows GOARCH=amd64 go build -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-windows-amd64.exe